> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openpage.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get community members



## OpenAPI

````yaml https://api.openpage.fun/v1/docs.json get /community/{id}/member
openapi: 3.0.0
info:
  title: OpenPage API Reference
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://api.openpage.fun/v1
security: []
tags:
  - name: Launcher
    description: >-
      Launcher endpoints are used to interact with your embedded or external
      experiences.


      **Launcher endpoints require setting up a Community Experience.**


      See: [Community
      Experiences](/api-reference/community-experiences/create-experience)
  - name: Communities
    description: >-
      Community endpoints are used to retrieve information about your
      Communities and associated members.


      **Community API endpoints require an API key obtained from the Community
      dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
  - name: Community Badges
    description: >-
      Community Badge endpoints are used to create and manage badges, their
      associated rewards, and member attributions.


      **Community Badge endpoints require an API key obtained from the Community
      dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
  - name: Community Files
    description: >-
      Community File endpoints are used to create and manage files used for
      Badges and Collections.


      **Community File endpoints require an API key obtained from the Community
      dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
  - name: Community Experiences
    description: >-
      Community Experience endpoints are used to create and manage experiences.


      **Community Experience endpoints require an API key obtained from the
      Community dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
paths:
  /community/{id}/member:
    get:
      tags:
        - Communities
      summary: Get community members
      operationId: CommunityMemberController_getCommunityMembers
      parameters:
        - name: id
          required: true
          in: path
          description: Community ID
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: Page of results to return.
          schema:
            type: number
        - name: perPage
          required: false
          in: query
          description: Number of items per page to return. Defaults to 100.
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedDto'
                  - properties:
                      results:
                        type: array
                        items:
                          $ref: '#/components/schemas/CommunityMemberDto'
      security:
        - apiKey: []
components:
  schemas:
    PaginatedDto:
      type: object
      properties:
        total:
          type: number
        perPage:
          type: number
        page:
          type: number
      required:
        - total
        - perPage
        - page
    CommunityMemberDto:
      type: object
      properties:
        id:
          type: string
        role:
          type: string
          enum:
            - owner
            - admin
            - team
            - member
        wallet:
          type: string
        ensName:
          type: string
        avatar:
          $ref: '#/components/schemas/CommunityMemberAvatarDto'
        addMethod:
          type: string
          enum:
            - manual
            - csv
            - discord
            - request
            - collection
            - api
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
        confirmedAt:
          format: date-time
          type: string
      required:
        - id
        - role
        - wallet
        - ensName
        - avatar
        - addMethod
        - createdAt
        - updatedAt
        - confirmedAt
    CommunityMemberAvatarDto:
      type: object
      properties:
        tokenId:
          type: string
        contract:
          type: string
        chainId:
          type: string
        image:
          type: string
        name:
          type: string
      required:
        - tokenId
        - contract
        - chainId
        - image
        - name
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````